DaoSession (gCube Species Discovery 3.3.0-SNAPSHOT API)
Date: 2013-07-19

org.gcube.portlets.user.speciesdiscovery.server.persistence

## Class DaoSession

- java.lang.Object
- - org.gcube.portlets.user.speciesdiscovery.server.persistence.DaoSession

-     public class DaoSession
      extends Object

  Author:
    Francesco Mangiacrapa francesco.mangiacrapa@isti.cnr.it

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static String` | `CATALINA_HOME`
    `static org.apache.log4j.Logger` | `logger`
    `protected static String` | `PROPERTY_CATALINA_HOME`
    `protected static String` | `TEMP_H2DBSPECIES_H2`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DaoSession()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static javax.persistence.EntityManagerFactory` | `createEntityManagerFactory(org.gcube.application.framework.core.session.ASLSession session)`
    `static OccurrenceJobPersistence` | `createOccurrencesJobDao(String username, String scope, org.gcube.application.framework.core.session.ASLSession session)`
    `static String` | `getConnectionUrl(org.gcube.application.framework.core.session.ASLSession session)`
    `static javax.persistence.EntityManagerFactory` | `getEntityManagerFactory(org.gcube.application.framework.core.session.ASLSession session)`
    `static OccurrenceRowPersistence` | `getOccurrenceDAO(org.gcube.application.framework.core.session.ASLSession session)`
    `static OccurrenceJobPersistence` | `getOccurrencesJobDAO(org.gcube.application.framework.core.session.ASLSession session)`
    `static ResultRowPersistence` | `getResultRowDAO(org.gcube.application.framework.core.session.ASLSession session)`
    `static TaxonRowPersistence` | `getTaxonDAO(org.gcube.application.framework.core.session.ASLSession session)`
    `static TaxonomyRowPersistence` | `getTaxonomyDAO(org.gcube.application.framework.core.session.ASLSession session)`
    `static TaxonomyJobPersistence` | `getTaxonomyJobDAO(org.gcube.application.framework.core.session.ASLSession session)`
    `static String` | `getTomcatFolder()`
    `static String` | `getUsernameScopeValue(String username, String scope)`
    `static OccurrenceJobPersistence` | `initOccurrencesJobsDao(org.gcube.application.framework.core.session.ASLSession session)`
    `static ResultRowPersistence` | `initResultRowDao(org.gcube.application.framework.core.session.ASLSession session)`
    `static void` | `initSessionDaoObjects(org.gcube.application.framework.core.session.ASLSession session)`
    `static TaxonRowPersistence` | `initTaxonDao(org.gcube.application.framework.core.session.ASLSession session)`
    `static TaxonomyJobPersistence` | `initTaxonomyJobsDao(org.gcube.application.framework.core.session.ASLSession session)`
    `static javax.persistence.EntityManager` | `newEntityManager(org.gcube.application.framework.core.session.ASLSession session)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROPERTY_CATALINA_HOME

          protected static final String PROPERTY_CATALINA_HOME

      See Also:
        Constant Field Values

    - #### CATALINA_HOME

          protected static final String CATALINA_HOME

      See Also:
        Constant Field Values

    - #### TEMP_H2DBSPECIES_H2

          protected static final String TEMP_H2DBSPECIES_H2

      See Also:
        Constant Field Values

    - #### logger

          public static org.apache.log4j.Logger logger

  - ### Constructor Detail

    - #### DaoSession

          public DaoSession()

  - ### Method Detail

    - #### getUsernameScopeValue

          public static String getUsernameScopeValue(String username,
                                     String scope)

    - #### getTomcatFolder

          public static String getTomcatFolder()

      Returns:
        $CATALINA_HOME
      Throws:
        `Exception`

    - #### getConnectionUrl

          public static String getConnectionUrl(org.gcube.application.framework.core.session.ASLSession session)

    - #### initSessionDaoObjects

          public static void initSessionDaoObjects(org.gcube.application.framework.core.session.ASLSession session)
                                            throws DatabaseServiceException

      Throws:
        `DatabaseServiceException`

    - #### newEntityManager

          public static javax.persistence.EntityManager newEntityManager(org.gcube.application.framework.core.session.ASLSession session)

    - #### getEntityManagerFactory

          public static javax.persistence.EntityManagerFactory getEntityManagerFactory(org.gcube.application.framework.core.session.ASLSession session)

    - #### getOccurrencesJobDAO

          public static OccurrenceJobPersistence getOccurrencesJobDAO(org.gcube.application.framework.core.session.ASLSession session)
                                                               throws Exception

      Throws:
        `Exception`

    - #### getTaxonomyJobDAO

          public static TaxonomyJobPersistence getTaxonomyJobDAO(org.gcube.application.framework.core.session.ASLSession session)
                                                          throws Exception

      Throws:
        `Exception`

    - #### createEntityManagerFactory

          public static javax.persistence.EntityManagerFactory createEntityManagerFactory(org.gcube.application.framework.core.session.ASLSession session)

    - #### initOccurrencesJobsDao

          public static OccurrenceJobPersistence initOccurrencesJobsDao(org.gcube.application.framework.core.session.ASLSession session)
                                                                 throws Exception

      Throws:
        `Exception`

    - #### initTaxonomyJobsDao

          public static TaxonomyJobPersistence initTaxonomyJobsDao(org.gcube.application.framework.core.session.ASLSession session)
                                                            throws Exception

      Throws:
        `Exception`

    - #### createOccurrencesJobDao

          public static OccurrenceJobPersistence createOccurrencesJobDao(String username,
                                                         String scope,
                                                         org.gcube.application.framework.core.session.ASLSession session)
                                                                  throws Exception

      Throws:
        `Exception`

    - #### initResultRowDao

          public static ResultRowPersistence initResultRowDao(org.gcube.application.framework.core.session.ASLSession session)
                                                       throws Exception

      Throws:
        `Exception`

    - #### getOccurrenceDAO

          public static OccurrenceRowPersistence getOccurrenceDAO(org.gcube.application.framework.core.session.ASLSession session)
                                                           throws Exception

      Throws:
        `Exception`

    - #### initTaxonDao

          public static TaxonRowPersistence initTaxonDao(org.gcube.application.framework.core.session.ASLSession session)
                                                  throws Exception

      Throws:
        `Exception`

    - #### getTaxonDAO

          public static TaxonRowPersistence getTaxonDAO(org.gcube.application.framework.core.session.ASLSession session)
                                                 throws Exception

      Throws:
        `Exception`

    - #### getTaxonomyDAO

          public static TaxonomyRowPersistence getTaxonomyDAO(org.gcube.application.framework.core.session.ASLSession session)
                                                       throws Exception

      Throws:
        `Exception`

    - #### getResultRowDAO

          public static ResultRowPersistence getResultRowDAO(org.gcube.application.framework.core.session.ASLSession session)
                                                      throws Exception

      Throws:
        `Exception`

Copyright © 2013. All Rights Reserved.